FireCloud Management API
Version: 1.0.0
Download the API specification
Introduction
The FireCloud Management API is a RESTful API that you can use to configure and manage FireCloud security settings.
This documentation explains how to get access to the FireCloud Management API and includes examples to help you get started.
Get Started
This section describes how to submit requests to the FireCloud Management API.
The FireCloud Management API URL is:
https://{base API URL}/rest/firecloud/management/
The base URL for WatchGuard public APIs varies by environment and region. The base API URL for your account appears on the Managed Access page in WatchGuard Cloud.
Path Parameters
Each WatchGuard public API has a version, expressed as <major>.<minor>.<patch>. You specify the major API version as part of the endpoint URI path. Example: v1.
All FireCloud Management API endpoint URIs must include your WatchGuard Cloud account ID in the {accountid} path parameter.
Authentication
WatchGuard public APIs use the Open Authorization (OAuth) 2.0 authorization framework for token-based authentication. To use the FireCloud Management API, you must first enable API access in your WatchGuard Cloud account and make an API request to generate an access token.
You must include the access token and your API Key in the header of each request you make to the FireCloud Management API.
For more information, see Authentication.
Request Headers
You must include this information in the header of each request you make to the FireCloud Management API:
|
Content-Type |
application/json |
|
Accept |
application/json |
|
Authorization |
The access token that you generate with the WatchGuard Authentication API. For more information, see Authentication. |
|
WatchGuard-API-Key |
The API Key associated with your WatchGuard Cloud account (shown on the Managed Access page in WatchGuard Cloud). |
Exceptions
Exceptions are rules that bypass or override other security settings defined in your FireCloud configuration. For example, you might define an exception because you do not want FireCloud to deny access to your company website. Or you might want FireCloud to always allow your users to download a specific file.
You can use the FireCloud Management API to create these types of exceptions:
- Blocked Sites and Blocked Sites Exceptions
- Botnet Exceptions
- File Exceptions
- Geolocation Exceptions
- Intrusion Prevention Service (IPS) Exceptions
- WebBlocker Exceptions
- HTTPS Decryption Exceptions
When you create an exception with the API, you specify details of the exception. For example, the address of a site you always want to block. FireCloud assigns firewan as the device for each exception. The FireCloud Management API saves the exceptions you configure to your WatchGuard Cloud account.
To configure an exception, make a request to the POST endpoint for that type of exception. To update or delete exceptions, make requests to the PUT and DELETE endpoints for each type of exception.
Query All Exceptions
/v1/configuration/{accountid}/exceptions
Make a request to this endpoint to retrieve all exceptions associated with your WatchGuard Cloud account.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Example Request
This request retrieves all exceptions from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response includes an array of exceptions associated with your WatchGuard Cloud account.
[
{
"object": "blockedsite_exception",
"description": "Allow 192.0.2.1",
"device": "firewan",
"address": {
"type": "ipv4_host",
"value": "192.0.2.1"
},
"account": "WGC-1-123abc456",
"author": "",
"created": 1582316606,
"version": 1,
"action": "allow",
"id": "bse_12345_ARBHLJ70Y78rGOIGBS"
},
{
"object": "blockedsite_exception",
"description": "Allow example.com",
"device": "firewan",
"address": {
"type": "fqdn",
"value": "*.example.com"
},
"account": "WGC-1-123abc456",
"author": "",
"created": 1582299996,
"version": 1,
"action": "allow",
"id": "bse_12345_EU03pOyqJT1m32k23H"
}
]
This table lists and describes the data returned in the response:
The response is an array of exception objects. Each object includes the metadata fields for the exception and the type-specific fields for that exception type (for example, address for blocked sites exceptions, or md5 for file exceptions).
|
object
|
Type of exception object. Example: blockedsite_exception |
|
description
|
Description of the exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Blocked Sites and Blocked Sites Exceptions
A blocked site is an address that FireCloud blocks. FireCloud denies connections to or from blocked sites.
If FireCloud blocks connections to a site that you believe to be safe, you can add the site to the Blocked Sites Exceptions list so that traffic from that site is not blocked.
Blocked sites and blocked sites exceptions apply to FireCloud security settings in your WatchGuard Cloud account.
You can use the FireCloud Management API to add an address to the Blocked Sites Exceptions list. The action parameter value is allow, which adds the address to the Blocked Sites Exceptions list so that FireCloud does not block connections to or from that address.
Endpoints:
/v1/configuration/{accountid}/exceptions/blockedsite
/v1/configuration/{accountid}/exceptions/blockedsite
/v1/configuration/{accountid}/exceptions/blockedsite/{objectid}
/v1/configuration/{accountid}/exceptions/blockedsite/{objectid}
/v1/configuration/{accountid}/exceptions/blockedsite/{objectid}
Query All Blocked Sites and Blocked Sites Exceptions
WatchGuard Cloud stores any blocked sites and blocked sites exceptions you create with the FireCloud Management API. Make a request to this endpoint to retrieve all blocked sites and blocked sites exceptions associated with your WatchGuard Cloud account.
/v1/configuration/{accountid}/exceptions/blockedsite
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Example Request
This request retrieves all blocked sites and blocked sites exceptions for FireCloud from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/blockedsite
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response includes an array that lists all blocked sites and blocked sites exceptions associated with your WatchGuard Cloud account.
[
{
"object": "blockedsite_exception",
"description": "Allow 192.0.2.1",
"device": "firewan",
"address": {
"type": "ipv4_host",
"value": "192.0.2.1"
},
"account": "WGC-1-123abc456",
"author": "",
"created": 1580159344,
"version": 1,
"action": "allow",
"id": "bse_12345_EU03pOyqJT1m32k23H"
},
{
"object": "blockedsite_exception",
"description": "Allow example.com",
"device": "firewan",
"address": {
"type": "fqdn",
"value": "*.example.com"
},
"account": "WGC-1-123abc456",
"author": "",
"created": 1580160941,
"version": 1,
"action": "allow",
"id": "bse_12345_GU56oOcfHD4n56s27O"
}
...
]
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: blockedsite_exception |
|
description
|
Description of the blocked sites exception. Maximum: 127 characters. Example: Block example.com. |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
address
|
Address of the site to allow. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site to allow. This address format must match the address type, as follows:
|
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the blocked sites exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
version
|
Version number of the exception. Example: 1 |
|
action
|
Action to take for the address. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
Create Blocked Sites or Blocked Site Exceptions
/v1/configuration/{accountid}/exceptions/blockedsite
Make a request to this endpoint to add an address to the Blocked Sites Exceptions list. The action parameter value is allow.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
description
|
Description of the exception. Maximum: 127 characters. Example: example.com |
|
address
|
Address of the site to allow. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site to allow. This address format must match the address type, as follows:
|
|
action
|
Action to take for the address. The allowed values are:
|
Example Request
This request creates a new blocked sites exception for the address 192.0.2.1 for FireCloud:
curl -X POST
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/blockedsite
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"description": "example.com",
"address": {
"type": "ipv4_host",
"value": "192.0.2.1"
},
"action": "allow"
}'
Example Response
This response includes the new blocked sites exception object in JSON format:
{
"object": "blockedsite_exception",
"description": "Allow 192.0.2.1",
"device": "firewan",
"address": {
"type": "ipv4_host",
"value": "192.0.2.1"
},
"id": "bse_12345_EU03pOyqJT1m32k23H",
"author": "",
"created": 1580159344,
"account": "WGC-1-123abc456",
"action": "allow",
"version": 1
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: blockedsite_exception |
|
description
|
Description of the blocked sites exception. Maximum: 127 characters. Example: Block example.com. |
|
address
|
Address of the site to allow. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site to allow. This address format must match the address type, as follows:
|
|
action
|
Action to take for the address. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Retrieve a Blocked Site or Blocked Sites Exception
/v1/configuration/{accountid}/exceptions/blockedsite/{objectid}
Make a request to this endpoint to retrieve the specified blocked site or blocked site exception object.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Example Request
This request retrieves the blocked sites exception with the objectid of bse_12345_EU03pOyqJT1m32k23H:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/blockedsite/bse_12345_EU03pOyqJT1m32k23H
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the exception object in JSON format:
{
"object": "blockedsite_exception",
"description": "Allow 192.0.2.1",
"device": "firewan",
"address": {
"type": "ipv4_host",
"value": "192.0.2.1"
},
"account": "WGC-1-123abc456",
"author": "",
"created": 1580159344,
"version": 1,
"action": "allow",
"id": "bse_12345_EU03pOyqJT1m32k23H"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: blockedsite_exception |
|
description
|
Description of the blocked sites exception. Maximum: 127 characters. Example: Block example.com. |
|
address
|
Address of the site to allow. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site to allow. This address format must match the address type, as follows:
|
|
action
|
Action to take for the address. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Update a Blocked Site or Blocked Sites Exception
/v1/configuration/{accountid}/exceptions/blockedsite/{objectid}
Make a request to this endpoint to update the specified blocked site or blocked sites exception with the data in the request body. When you update a blocked site or blocked sites exception, the version number increases by one.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
object
|
Type of exception object. Example: blockedsite_exception |
|
version
|
Version number of the exception to update. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. Example: "" |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
description
|
Description of the exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
address
|
Address of the site to allow. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site to allow. This address format must match the address type, as follows:
|
|
action
|
Action to take for the address. The allowed values are:
|
Example Request
This request updates the blocked site with the objectid of bse_12345_EU03pOyqJT1m32k23H:
curl -X PUT
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/blockedsite/bse_12345_EU03pOyqJT1m32k23H
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"id": "bse_12345_EU03pOyqJT1m32k23H",
"object": "blockedsite_exception",
"version": 1,
"account": "WGC-1-123abc456",
"created": 1579907960,
"author": "",
"device": "firewan",
"description": "Allow example.com",
"address": {
"type": "fqdn",
"value": "example.com"
},
"action": "allow"
}'
Example Response
This response includes the updated blocked site object in JSON format:
{
"object": "blockedsite_exception",
"description": "Test Update example.com",
"device": "firewan",
"address": {
"type": "fqdn",
"value": "example.com"
},
"account": "WGC-1-123abc456",
"author": "",
"created": 1582597684,
"version": 2,
"action": "allow",
"id": "bse_12345_EU03pOyqJT1m32k23H"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: blockedsite_exception |
|
description
|
Description of the blocked sites exception. Maximum: 127 characters. Example: Block example.com. |
|
address
|
Address of the site to allow. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site to allow. This address format must match the address type, as follows:
|
|
action
|
Action to take for the address. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Delete a Blocked Site or Blocked Sites Exception
/v1/configuration/{accountid}/exceptions/blockedsite/{objectid}
Make a request to this endpoint to delete the specified blocked site or blocked sites exception. When you delete a blocked site or blocked sites exception, the version number increases by one and an inactive parameter with a value of true is added to the object.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Example Request
This request deletes the blocked site with the objectid of bse_12345_EU03pOyqJT1m32k23H:
curl -X DELETE
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/blockedsite/bse_12345_EU03pOyqJT1m32k23H
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
This response includes the deleted blocked site object in JSON format:
{
"object": "blockedsite_exception",
"description": "Test Update example.com",
"device": "firewan",
"account": "WGC-1-123abc456",
"address": {
"type": "fqdn",
"value": "example.com"
},
"inactive": true,
"author": "",
"created": 1582589612,
"version": 3,
"action": "allow",
"id": "bse_12345_EU03pOyqJT1m32k23H"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: blockedsite_exception |
|
description
|
Description of the blocked sites exception. Maximum: 127 characters. Example: Block example.com. |
|
address
|
Address of the site to allow. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site to allow. This address format must match the address type, as follows:
|
|
inactive
|
Indicates whether the exception is inactive. The value is always true for deleted exceptions. Example: true |
|
action
|
Action to take for the address. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Botnet Site Exceptions
Botnet site exceptions specify sites that you do not want to block, even if they are known botnet sites that the Botnet Detection service added to the Blocked Sites list.
Endpoints:
/v1/configuration/{accountid}/exceptions/botnet
/v1/configuration/{accountid}/exceptions/botnet
/v1/configuration/{accountid}/exceptions/botnet/{objectid}
/v1/configuration/{accountid}/exceptions/botnet/{objectid}
/v1/configuration/{accountid}/exceptions/botnet/{objectid}
Query All Botnet Site Exceptions
/v1/configuration/{accountid}/exceptions/botnet
Make a request to this endpoint to retrieve all botnet site exceptions associated with your WatchGuard Cloud account.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Example Request
This request retrieves all botnet site exceptions for FireCloud from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/botnet
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response includes an array that lists all botnet site exceptions associated with your WatchGuard Cloud account.
[
{
"object": "botnet_exception",
"description": "Allow 192.0.2.1",
"account": "WGC-1-123abc456",
"address": {
"type": "ipv4_host",
"value": "192.0.2.1"
},
"device": "firewan",
"version": 1,
"created": 1582751451,
"author": "",
"id": "bote_12345_8LBasn0hDNXnli4V0"
},
{
"object": "botnet_exception",
"description": "Allow example.com",
"account": "WGC-1-123abc456",
"address": {
"type": "fqdn",
"value": "*.example.com"
},
"device": "firewan",
"version": 1,
"created": 1582751005,
"author": "",
"action": "allow",
"id": "bote_12345_RbnXwZ9FQMtOXgRPy"
}
...
]
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: botnet_exception |
|
description
|
Description of the botnet site exception. Maximum: 127 characters. Example: Allow example.com. |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
address
|
Address of the site. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site. This address format must match the address type, as follows:
|
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
|
created
|
Time that the botnet site exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
action
|
Action to take for the specified address. Example: Allow |
|
id
|
Unique ID that identifies this exception. Example: bote_12345_8LBasn0hDNXnli4V0 |
Create Botnet Site Exceptions
/v1/configuration/{accountid}/exceptions/botnet
Make a request to this endpoint to create a new botnet site exception.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
description
|
Description of the exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
address
|
Address of the site to allow. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site to allow. This address format must match the address type, as follows:
|
|
action
|
Action to take for the address. The allowed values are:
|
Example Request
This request creates a new botnet site exception for the address *.example.com for FireCloud:
curl -X POST
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/botnet
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"description": "Allow example.com",
"address": {
"type": "fqdn",
"value": "*.example.com"
},
"action": "allow"
}'
Example Response
This response includes the new botnet site exception object in JSON format:
{
"object": "botnet_exception",
"description": "Allow example.com",
"account": "WGC-1-123abc456",
"address": {
"type": "fqdn",
"value": "*.example.com"
},
"device": "firewan",
"version": 1,
"created": 1580497844,
"author": "",
"action": "allow",
"id": "bote_12345_8LBasn0hDNXnli4V0"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: botnet_exception |
|
description
|
Description of the botnet site exception. Maximum: 127 characters. Example: Allow example.com. |
|
address
|
Address of the site. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site. This address format must match the address type, as follows:
|
|
action
|
Action to take for the specified address. Example: Allow |
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Retrieve a Botnet Site Exception
/v1/configuration/{accountid}/exceptions/botnet/{objectid}
Make a request to this endpoint to retrieve the specified botnet site exception.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Example Request
This request retrieves the botnet site exception with the objectid of bote_12345_8LBasn0hDNXnli4V0:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/botnet/bote_12345_8LBasn0hDNXnli4V0
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the exception object in JSON format:
{
"object": "botnet_exception",
"description": "Allow example.com",
"account": "WGC-1-123abc456",
"address": {
"type": "fqdn",
"value": "*.example.com"
},
"device": "firewan",
"version": 1,
"created": 1580497844,
"author": "",
"action": "allow",
"id": "bote_12345_8LBasn0hDNXnli4V0"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: botnet_exception |
|
description
|
Description of the botnet site exception. Maximum: 127 characters. Example: Allow example.com. |
|
address
|
Address of the site. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site. This address format must match the address type, as follows:
|
|
action
|
Action to take for the specified address. Example: Allow |
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Update a Botnet Exception
/v1/configuration/{accountid}/exceptions/botnet/{objectid}
Make a request to this endpoint to update the specified botnet site exception with the data in the request body. When you update a botnet site exception, the version number increases by one.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
object
|
Type of exception object. Example: botnet_exception |
|
version
|
Version number of the exception to update. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. Example: "" |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
description
|
Description of the exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
address
|
Address of the site to allow. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site to allow. This address format must match the address type, as follows:
|
|
action
|
Action to take for the address. The allowed values are:
|
Example Request
This request updates the botnet site exception with the objectid of bote_12345_8LBasn0hDNXnli4V0:
curl -X PUT
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/botnet/bote_12345_8LBasn0hDNXnli4V0
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"id": "bote_12345_8LBasn0hDNXnli4V0",
"object": "botnet_exception",
"version": 1,
"account": "WGC-1-123abc456",
"created": 1579907960,
"author": "",
"device": "firewan",
"description": "Allow 192.0.2.1",
"action": "true",
"address": {
"type": "ipv4_host",
"value": "192.0.2.1"
}
}'
Example Response
The response includes the updated botnet site exception object in JSON format:
{
"object": "botnet_exception",
"description": "Allow example.com",
"account": "WGC-1-123abc456",
"address": {
"type": "ipv4_host",
"value": "192.0.2.1"
},
"device": "firewan",
"version": 2,
"created": 1580499805,
"author": "",
"action": "allow",
"id": "bote_12345_8LBasn0hDNXnli4V0"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: botnet_exception |
|
description
|
Description of the botnet site exception. Maximum: 127 characters. Example: Allow example.com. |
|
address
|
Address of the site. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site. This address format must match the address type, as follows:
|
|
action
|
Action to take for the specified address. Example: Allow |
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Delete a Botnet Site Exception
/v1/configuration/{accountid}/exceptions/botnet/{objectid}
Make a request to this endpoint to delete the specified botnet site exception. When you delete a botnet site exception, the version number increases by one and an inactive parameter with a value of true is added to the object.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Example Request
This request deletes the botnet site exception with the objectid of bote_12345_8LBasn0hDNXnli4V0:
curl -X DELETE
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/botnet/bote_12345_8LBasn0hDNXnli4V0
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response includes the deleted botnet site exception in JSON format:
{
"object": "botnet_exception",
"description": "Allow example.com",
"account": "WGC-1-123abc456",
"address": {
"type": "ipv4_host",
"value": "192.0.2.1"
},
"device": "firewan",
"version": 3,
"inactive": true,
"created": 1580499805,
"author": "",
"action": "allow",
"id": "bote_12345_8LBasn0hDNXnli4V0"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: botnet_exception |
|
description
|
Description of the botnet site exception. Maximum: 127 characters. Example: Allow example.com. |
|
address
|
Address of the site. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site. This address format must match the address type, as follows:
|
|
inactive
|
Indicates whether the exception is inactive. The value is always true for deleted exceptions. Example: true |
|
action
|
Action to take for the specified address. Example: Allow |
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
File Exceptions
File exceptions specify files that you want FireCloud to allow or block based on the MD5 hash of the file.
When FireCloud examines a file, it checks the MD5 hash of the file against any file exceptions. If the file matches a file exception, FireCloud either allows or blocks the file, based on the specified action.
Endpoints:
/v1/configuration/{accountid}/exceptions/file
/v1/configuration/{accountid}/exceptions/file
/v1/configuration/{accountid}/exceptions/file/{objectid}
/v1/configuration/{accountid}/exceptions/file/{objectid}
/v1/configuration/{accountid}/exceptions/file/{objectid}
Query All File Exceptions
WatchGuard Cloud stores any file exceptions you create with the FireCloud Management API. Make a request to this endpoint to retrieve all file exceptions associated with your WatchGuard Cloud account.
/v1/configuration/{accountid}/exceptions/file
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Example Request
This request retrieves all file exceptions for FireCloud from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/file
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the exception object in JSON format:
[
{
"object": "file_exception",
"description": "Drop malicious exe",
"account": "WGC-1-123abc456",
"md5": "36f72eb9f68337c44c86be68968ce83c",
"version": 1,
"device": "firewan",
"created": 1582755960,
"author": "",
"action": "block",
"id": "file_12345_UqhDVIdx8D5iwivAX"
},
{
"object": "file_exception",
"description": "Allow Sales Brochure PDF",
"account": "WGC-1-123abc456",
"md5": "d6f19bb6d8b48419c2a7f752dfaba81e",
"version": 1,
"device": "firewan",
"created": 1582760851,
"author": "",
"action": "allow",
"id": "file_12345_n4AeGRHpqPuPGZeu2"
}
...
]
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: file_exception |
|
description
|
Description of the file exception. Maximum: 127 characters. Example: Drop malicious executable |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
md5
|
MD5 hash of the file. Must be 32 characters (lowercase letters a-f and numbers only). Example: 36f72eb9f68337c44c86be68968ce83c |
|
version
|
Version number of the exception. Example: 1 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
created
|
Time that the file exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
action
|
Action to take for the file. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: file_12345_n4AeGRHpqPuPGZeu2 |
Create File Exceptions
/v1/configuration/{accountid}/exceptions/file
Make a request to this endpoint to create a new file exception from the data in the request body.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
description
|
Description of the exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
action
|
Action to take for the file. The allowed values are:
|
|
md5
|
MD5 hash of the file. Must be 32 characters (lowercase letters a-f and numbers only). Example: 36f72eb9f68337c44c86be68968ce83c |
Example Request
This request creates a new file exception for the file with an MD5 hash of 36f72eb9f68337c44c86be68968ce83c for FireCloud:
curl -X POST
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/file
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"description": "Drop malicious executable",
"md5": "36f72eb9f68337c44c86be68968ce83c",
"action": "block"
}'
Example Response
The response includes the new file exception object in JSON format:
{
"object": "file_exception",
"description": "Drop malicious executable",
"account": "WGC-1-123abc456",
"md5": "36f72eb9f68337c44c86be68968ce83c",
"device": "firewan",
"author": "",
"created": 1582853506,
"version": 1,
"action": "block",
"id": "file_12345_n4AeGRHpqPuPGZeu2"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: file_exception |
|
description
|
Description of the file exception. Maximum: 127 characters. Example: Drop malicious executable |
|
md5
|
MD5 hash of the file. Must be 32 characters (lowercase letters a-f and numbers only). Example: 36f72eb9f68337c44c86be68968ce83c |
|
action
|
Action to take for the file. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Retrieve a File Exception
/v1/configuration/{accountid}/exceptions/file/{objectid}
Make a request to this endpoint to retrieve the specified file exception.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Example Request
This request retrieves the file exception with the objectid of file_12345_n4AeGRHpqPuPGZeu2:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/file/file_12345_n4AeGRHpqPuPGZeu2
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the exception object in JSON format:
{
"object": "file_exception",
"description": "Drop malicious executable",
"account": "WGC-1-123abc456",
"md5": "36f72eb9f68337c44c86be68968ce83c",
"device": "firewan",
"author": "",
"created": 1582853506,
"version": 1,
"action": "block",
"id": "file_12345_n4AeGRHpqPuPGZeu2"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: file_exception |
|
description
|
Description of the file exception. Maximum: 127 characters. Example: Drop malicious executable |
|
md5
|
MD5 hash of the file. Must be 32 characters (lowercase letters a-f and numbers only). Example: 36f72eb9f68337c44c86be68968ce83c |
|
action
|
Action to take for the file. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Update a File Exception
/v1/configuration/{accountid}/exceptions/file/{objectid}
Make a request to this endpoint to update the specified file exception with the data in the request body. When you update a file exception, the version number increases by one.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
object
|
Type of exception object. Example: file_exception |
|
version
|
Version number of the exception to update. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. Example: "" |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
description
|
Description of the exception. Maximum: 127 characters. Example: Drop malicious executable |
|
action
|
Action to take for the file. The allowed values are:
|
|
md5
|
MD5 hash of the file. Must be 32 characters (lowercase letters a-f and numbers only). Example: 36f72eb9f68337c44c86be68968ce83c |
Example Request
This request updates the file exception with the objectid of file_12345_n4AeGRHpqPuPGZeu2:
curl -X PUT
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/file/file_12345_n4AeGRHpqPuPGZeu2
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"id": "file_12345_n4AeGRHpqPuPGZeu2",
"object": "file_exception",
"version": 1,
"account": "WGC-1-123abc456",
"created": 1579907960,
"author": "",
"device": "firewan",
"action": "block",
"md5": "e4f23ef7e9a342aed1f654ea12bad32e",
"description": "Drop malicious executable"
}'
Example Response
The response includes the updated file exception object in JSON format:
{
"object": "file_exception",
"description": "Drop malicious executable",
"account": "WGC-1-123abc456",
"md5": "e4f23ef7e9a342aed1f654ea12bad32e",
"device": "firewan",
"author": "",
"created": 1582854721,
"version": 2,
"action": "block",
"id": "file_12345_n4AeGRHpqPuPGZeu2"
}
|
object
|
Type of exception object. Example: file_exception |
|
description
|
Description of the file exception. Maximum: 127 characters. Example: Drop malicious executable |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
md5
|
MD5 hash of the file. Must be 32 characters (lowercase letters a-f and numbers only). Example: 36f72eb9f68337c44c86be68968ce83c |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the file exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
version
|
Version number of the exception. Example: 1 |
|
action
|
Action to take for the file. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: file_12345_n4AeGRHpqPuPGZeu2 |
Delete a File Exception
/v1/configuration/{accountid}/exceptions/file/{objectid}
Make a request to this endpoint to delete the specified file exception. When you delete a file exception, the version number increases by one and an inactive parameter with a value of true is added to the object.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Example Request
This request deletes the file exception with the objectid of file_12345_n4AeGRHpqPuPGZeu2.
curl -X DELETE
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/file/file_12345_n4AeGRHpqPuPGZeu2
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response includes the deleted file exception object in JSON format:
{
"object": "file_exception",
"description": "Drop malicious executable",
"account": "WGC-1-123abc456",
"md5": "e4f23ef7e9a342aed1f654ea12bad32e",
"device": "firewan",
"inactive": true,
"author": "",
"created": 1582859124,
"version": 3,
"action": "block",
"id": "file_12345_n4AeGRHpqPuPGZeu2"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: file_exception |
|
description
|
Description of the file exception. Maximum: 127 characters. Example: Drop malicious executable |
|
md5
|
MD5 hash of the file. Must be 32 characters (lowercase letters a-f and numbers only). Example: 36f72eb9f68337c44c86be68968ce83c |
|
inactive
|
Indicates whether the exception is inactive. The value is always true for deleted exceptions. Example: true |
|
action
|
Action to take for the file. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Geolocation Exceptions
To identify the geographic location of connections through FireCloud, the Geolocation subscription service uses a database of IP addresses and countries. You can add Geolocation exceptions for sites that you never want to block based on information in the Geolocation database. Geolocation never blocks connections to or from sites on the exceptions list.
Endpoints:
/v1/configuration/{accountid}/exceptions/geolocation
/v1/configuration/{accountid}/exceptions/geolocation
/v1/configuration/{accountid}/exceptions/geolocation/{objectid}
/v1/configuration/{accountid}/exceptions/geolocation/{objectid}
/v1/configuration/{accountid}/exceptions/geolocation/{objectid}
Query All Geolocation Exceptions
/v1/configuration/{accountid}/exceptions/geolocation
Make a request to this endpoint to retrieve all Geolocation exceptions associated with your WatchGuard Cloud account.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Example Request
This request retrieves all Geolocation exceptions for FireCloud from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/geolocation
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the exception object in JSON format:
[
{
"object": "geolocation_exception",
"description": "Allow example.com",
"account": "WGC-1-123abc456",
"address": {
"type": "fqdn",
"value": "www.example.com"
},
"device": "firewan",
"author": "",
"created": 1582756088,
"version": 1,
"action": "allow",
"id": "geoe_12345_aHbWC5IuWO3qzyV2t"
},
{
"object": "geolocation_exception",
"description": "Allow 192.0.2.1",
"account": "WGC-1-123abc456",
"address": {
"type": "ipv4_host",
"value": "192.0.2.1"
},
"device": "firewan",
"author": "",
"created": 1583005651,
"version": 1,
"action": "allow",
"id": "geoe_12345_pkPGFCRqE8DRFf6kz"
}
...
]
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: geolocation_exception |
|
description
|
Description of the Geolocation exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
address
|
Address of the site. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site. This address format must match the address type, as follows:
|
|
action
|
Action to take for the specified address. Example: Allow |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the file exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
version
|
Version number of the exception. Example: 1 |
|
id
|
Unique ID that identifies this exception. Example: geoe_12345_pkPGFCRqE8DRFf6kz |
Create Geolocation Exceptions
/v1/configuration/{accountid}/exceptions/geolocation
Make a request to this endpoint to create a new Geolocation exception from the data in the request body.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
description
|
Description of the exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
address
|
Address of the site to allow. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site to allow. This address format must match the address type, as follows:
|
|
action
|
Action to take for the address. The allowed values are:
|
Example Request
This request creates a new Geolocation exception for the site www.example.com for FireCloud:
curl -X POST
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/geolocation
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"description": "Allow www.example.com",
"address": {
"type": "fqdn",
"value": "www.example.com"
}
}'
Example Response
The response includes a new Geolocation object in JSON format:
{
"object": "geolocation_exception",
"description": "Allow www.example.com",
"account": "WGC-1-123abc456",
"address": {
"type": "fqdn",
"value": "www.example.com"
},
"device": "firewan",
"author": "",
"created": 1583007222,
"version": 1,
"action": "allow",
"id": "geoe_12345_pkPGFCRqE8DRFf6kz"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: geolocation_exception |
|
description
|
Description of the Geolocation exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
address
|
Address of the site. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site. This address format must match the address type, as follows:
|
|
action
|
Action to take for the specified address. Example: Allow |
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Retrieve a Geolocation Exception
/v1/configuration/{accountid}/exceptions/geolocation/{objectid}
Make a request to this endpoint to retrieve the specified Geolocation exception.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Example Request
This request retrieves the Geolocation exception with the objectid of geoe_12345_pkPGFCRqE8DRFf6kz:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/geolocation/geoe_12345_pkPGFCRqE8DRFf6kz
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the exception object in JSON format:
{
"object": "geolocation_exception",
"description": "Allow www.example.com",
"account": "WGC-1-123abc456",
"address": {
"type": "fqdn",
"value": "www.example.com"
},
"device": "firewan",
"author": "",
"created": 1583007222,
"version": 1,
"action": "allow",
"id": "geoe_12345_pkPGFCRqE8DRFf6kz"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: geolocation_exception |
|
description
|
Description of the Geolocation exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
address
|
Address of the site. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site. This address format must match the address type, as follows:
|
|
action
|
Action to take for the specified address. Example: Allow |
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Update a Geolocation Exception
/v1/configuration/{accountid}/exceptions/geolocation/{objectid}
Make a request to this endpoint to update the specified Geolocation exception with the data in the request body. When you update a Geolocation exception, the version number increases by one.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
object
|
Type of exception object. Example: geolocation_exception |
|
version
|
Version number of the exception to update. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. Example: "" |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
description
|
Description of the exception. Maximum: 127 characters. Example: Allow *.example.com |
|
address
|
Address of the site to allow. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site to allow. This address format must match the address type, as follows:
|
|
action
|
Action to take for the address. The allowed values are:
|
Example Request
This request updates the Geolocation exception with the objectid of geoe_12345_pkPGFCRqE8DRFf6kz:
curl -X PUT
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/geolocation/geoe_12345_pkPGFCRqE8DRFf6kz
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"id": "geoe_12345_pkPGFCRqE8DRFf6kz",
"object": "geolocation_exception",
"version": 1,
"account": "WGC-1-123abc456",
"created": 1579907960,
"author": "",
"device": "firewan",
"description": "Allow *.example.com",
"address": {
"type": "fqdn",
"value": "*.example.com"
}
}'
Example Response
The response includes the updated Geolocation exception object in JSON format:
{
"object": "geolocation_exception",
"description": "Allow *.example.com",
"account": "WGC-1-123abc456",
"address": {
"type": "fqdn",
"value": "*.example.com"
},
"device": "firewan",
"author": "",
"created": 1583008145,
"version": 2,
"action": "allow",
"id": "geoe_12345_pkPGFCRqE8DRFf6kz"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: geolocation_exception |
|
description
|
Description of the Geolocation exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
address
|
Address of the site. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site. This address format must match the address type, as follows:
|
|
action
|
Action to take for the specified address. Example: Allow |
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Delete a Geolocation Exception
/v1/configuration/{accountid}/exceptions/geolocation/{objectid}
Make a request to this endpoint to delete the specified Geolocation exception. When you delete a Geolocation exception, the version number increases by one and an inactive parameter with a value of true is added to the object.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Example Request
This request deletes the Geolocation exception with the objectid of geoe_12345_pkPGFCRqE8DRFf6kz:
curl -X DELETE
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/geolocation/geoe_12345_pkPGFCRqE8DRFf6kz
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response includes the deleted Geolocation exception in JSON format:
{
"object": "geolocation_exception",
"description": "Allow *.example.com",
"account": "WGC-1-123abc456",
"address": {
"type": "fqdn",
"value": "*.example.com"
},
"device": "firewan",
"inactive": true,
"author": "",
"created": 1583008145,
"version": 2,
"action": "allow",
"id": "geoe_12345_pkPGFCRqE8DRFf6kz"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: geolocation_exception |
|
description
|
Description of the Geolocation exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
address
|
Address of the site. |
|
type
|
Type of address. The allowed values are:
|
|
value
|
Address of the site. This address format must match the address type, as follows:
|
|
action
|
Action to take for the specified address. Example: Allow |
|
inactive
|
Indicates whether the exception is inactive. The value is always Example: true |
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Intrusion Prevention Service (IPS) Exceptions
The Intrusion Prevention Service (IPS) uses signatures to provide real-time protection against network attacks. To allow traffic that IPS blocks, you can find the identification number for the IPS signature (the signature ID) and add an IPS exception for the signature ID.
Endpoints:
/v1/configuration/{accountid}/exceptions/ips
/v1/configuration/{accountid}/exceptions/ips
/v1/configuration/{accountid}/exceptions/ips/{objectid}
/v1/configuration/{accountid}/exceptions/ips/{objectid}
/v1/configuration/{accountid}/exceptions/ips/{objectid}
Query All Intrusion Prevention Service Exceptions
/v1/configuration/{accountid}/exceptions/ips
WatchGuard Cloud stores any Intrusion Prevention Service (IPS) exceptions you create with the FireCloud Management API. Make a request to this endpoint to retrieve all IPS exceptions associated with your WatchGuard Cloud account.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Example Request
This request retrieves all IPS exceptions for FireCloud from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/ips
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the exception object in JSON format:
[
{
"object": "ips_exception",
"signature_id": "1234567890123456789013245679801",
"account": "WGC-1-123abc456",
"description": "Allow 523456789",
"device": "firewan",
"alarm": false,
"author": "",
"created": 1582756189,
"version": 1,
"action": "allow",
"id": "ipse_12345_3rZNNiSxEO0u7ILhx"
},
{
"object": "ips_exception",
"signature_id": "5234567890123456789013245679801",
"account": "WGC-1-123abc456",
"description": "Allow 523456789",
"device": "firewan",
"alarm": false,
"author": "",
"created": 1582412997,
"version": 1,
"action": "allow",
"id": "ipse_12345_ifxDmHNujdFheV2dE"
}
...
]
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: ips_exception |
|
signature_id
|
IPS signature ID. Must contain only numbers. Maximum: 31 characters. IPS signature ID that identifies the signature to allow or block. You can also look up signature IDs on the WatchGuard Security Portal. Example: 123456789012345 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
description
|
Description of the IPS exception. Maximum: 127 characters. Example: Allow 123456789012345 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
alarm
|
Specifies whether FireCloud sends an alarm for the IPS exception. Example: true |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the WebBlocker exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
version
|
Version number of the exception. Example: 1 |
|
action
|
Action to take for the specified signature. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: wbe_12345_G4dywojda1rjAv95J |
Create Intrusion Prevention Service Exceptions
/v1/configuration/{accountid}/exceptions/ips
Make a request to this endpoint to create a new IPS exception.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
description
|
Description of the exception. Maximum: 127 characters. Example: Allow 192.0.2.1 |
|
action
|
Action to take for the specified signature. The allowed values are:
|
|
alarm
|
Specifies whether FireCloud sends an alarm for the IPS exception. The default value is false. Example: true |
|
signature_id
|
IPS signature ID. Must contain only numbers. Maximum: 31 characters. IPS signature ID that identifies the signature to allow or block. You can also look up signature IDs on the WatchGuard Security Portal. Example: 123456789012345 |
Example Request
This request creates a new IPS exception for the signature 123456789012345:
curl -X POST
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/ips
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"action": "allow",
"alarm": true,
"description": "Allow 123456789012345",
"signature_id": "123456789012345"
}'
Example Response
The response returns the exception object in JSON format:
{
"object": "ips_exception",
"signature_id": "123456789012345",
"account": "WGC-1-123abc456",
"description": "Allow 123456789012345",
"device": "firewan",
"alarm": true,
"author": "",
"created": 1582412997,
"version": 1,
"action": "allow",
"id": "ipse_12345_ifxDmHNujdFheV2dE"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: ips_exception |
|
signature_id
|
IPS signature ID. Must contain only numbers. Maximum: 31 characters. IPS signature ID that identifies the signature to allow or block. You can also look up signature IDs on the WatchGuard Security Portal. Example: 123456789012345 |
|
description
|
Description of the IPS exception. Maximum: 127 characters. Example: Allow 123456789012345 |
|
alarm
|
Specifies whether FireCloud sends an alarm for the IPS exception. The default value is false. Example: true |
|
action
|
Action to take for the specified signature. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Retrieve an Intrusion Prevention Service (IPS) Exception
/v1/configuration/{accountid}/exceptions/ips/{objectid}
Make a request to this endpoint to retrieve the specified IPS exception.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Example Request
This request retrieves the IPS exception with the objectid of ipse_12345_ifxDmHNujdFheV2dE:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/ips/ipse_12345_ifxDmHNujdFheV2dE
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the exception object in JSON format:
{
"object": "ips_exception",
"signature_id": "123456789012345",
"account": "WGC-1-123abc456",
"description": "Allow 123456789012345",
"device": "firewan",
"alarm": true,
"author": "",
"created": 1582412997,
"version": 1,
"action": "allow",
"id": "ipse_12345_ifxDmHNujdFheV2dE"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: ips_exception |
|
signature_id
|
IPS signature ID. Must contain only numbers. Maximum: 31 characters. IPS signature ID that identifies the signature to allow or block. You can also look up signature IDs on the WatchGuard Security Portal. Example: 123456789012345 |
|
description
|
Description of the IPS exception. Maximum: 127 characters. Example: Allow 123456789012345 |
|
alarm
|
Specifies whether FireCloud sends an alarm for the IPS exception. The default value is false. Example: true |
|
action
|
Action to take for the specified signature. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Update an Intrusion Prevention Service (IPS) Exception
/v1/configuration/{accountid}/exceptions/ips/{objectid}
Make a request to this endpoint to update the specified IPS exception with the data in the request body. When you update a IPS, the version number increases by one.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
object
|
Type of exception object. Example: ips_exception |
|
version
|
Version number of the exception to update. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. Example: "" |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
description
|
Description of the exception. Maximum: 127 characters. Example: Drop 123456789012345 |
|
action
|
Action to take for the specified signature. The allowed values are:
|
|
alarm
|
Specifies whether FireCloud sends an alarm for the IPS exception. The default value is false. Example: true |
|
signature_id
|
IPS signature ID. Must contain only numbers. Maximum: 31 characters. IPS signature ID that identifies the signature to allow or block. You can also look up signature IDs on the WatchGuard Security Portal. Example: 123456789012345 |
Example Request
This request updates the IPS exception with the objectid of ipse_12345_ifxDmHNujdFheV2dE:
curl -X PUT
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/ips/ipse_12345_ifxDmHNujdFheV2dE
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"id": "ipse_12345_ifxDmHNujdFheV2dE",
"object": "ips_exception",
"version": 1,
"account": "WGC-1-123abc456",
"created": 1579907960,
"author": "",
"device": "firewan",
"action": "block",
"alarm": true,
"description": "Drop 123456789012345",
"signature_id": "123456789012345"
}'
Example Response
The response includes the updated IPS exception in JSON format:
{
"object": "ips_exception",
"signature_id": "123456789012345",
"account": "WGC-1-123abc456",
"description": "Drop 123456789012345",
"device": "firewan",
"alarm": true,
"author": "",
"created": 1582412997,
"version": 2,
"action": "block",
"id": "ipse_12345_ifxDmHNujdFheV2dE"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: ips_exception |
|
signature_id
|
IPS signature ID. Must contain only numbers. Maximum: 31 characters. IPS signature ID that identifies the signature to allow or block. You can also look up signature IDs on the WatchGuard Security Portal. Example: 123456789012345 |
|
description
|
Description of the IPS exception. Maximum: 127 characters. Example: Allow 123456789012345 |
|
alarm
|
Specifies whether FireCloud sends an alarm for the IPS exception. The default value is false. Example: true |
|
action
|
Action to take for the specified signature. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Delete an Intrusion Prevention Service (IPS) Exception
/v1/configuration/{accountid}/exceptions/ips/{objectid}
Make a request to this endpoint to delete the specified IPS exception. When you delete an IPS exception, the version number increases by one and an inactive parameter with a value of true is added to the object.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Example Request
This request deletes the IPS exception with an objectid of ipse_12345_ifxDmHNujdFheV2dE:
curl -X DELETE
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/ips/ipse_12345_ifxDmHNujdFheV2dE
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response includes the deleted IPS exception in JSON format:
{
"object": "ips_exception",
"description": "Drop 123456789012345",
"account": "WGC-1-123abc456",
"inactive":true,
"device": "firewan",
"version": 3,
"signature_id": "123456789012345",
"alarm": true,
"id": "ipse_12345_ifxDmHNujdFheV2dE",
"created": 1582412997,
"author": "",
"action": "block"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: ips_exception |
|
description
|
Description of the IPS exception. Maximum: 127 characters. Example: Allow 123456789012345 |
|
inactive
|
Indicates whether the exception is inactive. The value is always true for deleted exceptions. Example: true |
|
signature_id
|
IPS signature ID. Must contain only numbers. Maximum: 31 characters. IPS signature ID that identifies the signature to allow or block. You can also look up signature IDs on the WatchGuard Security Portal. Example: 123456789012345 |
|
alarm
|
Specifies whether FireCloud sends an alarm for the IPS exception. The default value is false. Example: true |
|
action
|
Action to take for the specified signature. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
WebBlocker Exceptions
WebBlocker might deny connections to a website that is necessary for your business, based on the website category in the WebBlocker URL categorization database. To configure WebBlocker to always allow or deny access to a site, regardless of the site category, you can define a WebBlocker exception.
Endpoints:
/v1/configuration/{accountid}/exceptions/webblocker
/v1/configuration/{accountid}/exceptions/webblocker
/v1/configuration/{accountid}/exceptions/webblocker/{objectid}
/v1/configuration/{accountid}/exceptions/webblocker/{objectid}
/v1/configuration/{accountid}/exceptions/webblocker/{objectid}
Query All WebBlocker Exceptions
WatchGuard Cloud stores any WebBlocker exceptions you create with the FireCloud Management API. Make a request to this endpoint to retrieve all WebBlocker exceptions associated with your WatchGuard Cloud account.
/v1/configuration/{accountid}/exceptions/webblocker
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Example Request
This request retrieves all WebBlocker exceptions for FireCloud from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/webblocker
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the exception object in JSON format:
[
{
"object": "webblocker_exception",
"name": "Deny example.com",
"created": 1582756302,
"device": "firewan",
"rule_type": "string",
"version": 1,
"alarm": false,
"account": "WGC-1-123abc456",
"id": "wbe_12345_7HM70EvrifZ7rSfXSA",
"rule": "www.example.com",
"author": "",
"action": "block"
},
{
"object": "webblocker_exception",
"name": "Allow watchguard.com",
"created": 1583019217,
"device": "firewan",
"rule_type": "pattern",
"version": 1,
"alarm": false,
"account": "WGC-1-123abc456",
"id": "wbe_12345_HttDu2WDTmZg2xaQm6",
"rule": "www.watchguard.com/*",
"author": "",
"action": "allow"
}
...
]
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: webblocker_exception |
|
name
|
Name of the WebBlocker exception. Letters, numbers, spaces, and -_+.*)( characters, including non-ASCII characters. Maximum: 58 characters. Example: Allow example.com |
|
created
|
Time that the WebBlocker exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
rule_type
|
The type of rule. The allowed values are:
Example: string |
|
version
|
Version number of the exception. Example: 1 |
|
alarm
|
Specifies whether FireCloud sends an alarm for the WebBlocker exception. The default value is false. Example: true |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
id
|
Unique ID that identifies this exception. Example: wbe_12345_G4dywojda1rjAv95J |
|
rule
|
The URL pattern, value, or expression to match. Maximum: 255 characters. Examples: www.example.com/* 1.1.1.1 (www\\.)?example\\.[com|net] Some characters used in regular expressions are reserved by JSON syntax, such as the backslash (\). To include these characters in JSON request data, escape them according to JSON encoding rules. For example, use \\ to represent a single backslash (\). |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
action
|
Action to take for the WebBlocker exception, either allow or block. The allowed values are:
|
Create WebBlocker Exceptions
/v1/configuration/{accountid}/exceptions/webblocker
Make a request to this endpoint to create a new WebBlocker exception.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
action
|
Action to take for the WebBlocker exception, either allow or block. The allowed values are:
|
|
alarm
|
Specifies whether FireCloud sends an alarm for the WebBlocker exception. The default value is false. Example: true |
|
name
|
Name of the WebBlocker exception. Letters, numbers, spaces, and -_+.*)( characters, including non-ASCII characters. Maximum: 58 characters. Example: Allow example.com |
|
rule_type
|
The type of rule. The allowed values are:
Example: string |
|
rule
|
The URL pattern, value, or regular expression to match. Maximum: 255 characters. Examples: www.example.com/* 1.1.1.1 (www\\.)?example\\.[com|net] Some characters used in regular expressions are reserved by JSON syntax, such as the backslash (\). To include these characters in JSON request data, escape them according to JSON encoding rules. For example, use \\ to represent a single backslash (\). |
Example Request
This request adds a new WebBlocker exception to allow requests to all URL paths on www.watchguard.com:
curl -X POST
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/webblocker
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"action": "allow",
"alarm": true,
"name": "Allow watchguard.com",
"rule_type": "pattern",
"rule": "www.watchguard.com/*"
}'
Example Response
The response includes the new WebBlocker exception object in JSON format:
{
"object": "webblocker_exception",
"name": "Allow watchguard.com",
"created": 1583019217,
"device": "firewan",
"rule_type": "pattern",
"version": 1,
"alarm": true,
"account": "WGC-1-123abc456",
"id": "wbe_12345_HttDu2WDTmZg2xaQm6",
"rule": "www.watchguard.com/*",
"author": "",
"action": "allow"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: webblocker_exception |
|
name
|
Name of the WebBlocker exception. Letters, numbers, spaces, and -_+.*)( characters, including non-ASCII characters. Maximum: 58 characters. Example: Allow example.com |
|
rule_type
|
The type of rule. The allowed values are:
Example: string |
|
alarm
|
Specifies whether FireCloud sends an alarm for the WebBlocker exception. The default value is false. Example: true |
|
rule
|
The URL pattern, value, or expression to match. Maximum: 255 characters. Examples: www.example.com/* 1.1.1.1 (www\\.)?example\\.[com|net] Some characters used in regular expressions are reserved by JSON syntax, such as the backslash (\). To include these characters in JSON request data, escape them according to JSON encoding rules. For example, use \\ to represent a single backslash (\). |
|
action
|
Action to take for the WebBlocker exception, either allow or block. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Retrieve a WebBlocker Exception
/v1/configuration/{accountid}/exceptions/webblocker/{objectid}
Make a request to this endpoint to retrieve the specified WebBlocker exception.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Example Request
This request retrieves the WebBlocker exception with the objectid of wbe_12345_HttDu2WDTmZg2xaQm6:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/webblocker/wbe_12345_HttDu2WDTmZg2xaQm6
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the exception object in JSON format:
{
"object": "webblocker_exception",
"name": "Allow watchguard.com",
"created": 1583019217,
"device": "firewan",
"rule_type": "pattern",
"version": 1,
"alarm": true,
"account": "WGC-1-123abc456",
"id": "wbe_12345_HttDu2WDTmZg2xaQm6",
"rule": "www.watchguard.com/*",
"author": "",
"action": "allow"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: webblocker_exception |
|
name
|
Name of the WebBlocker exception. Letters, numbers, spaces, and -_+.*)( characters, including non-ASCII characters. Maximum: 58 characters. Example: Allow example.com |
|
rule_type
|
The type of rule. The allowed values are:
Example: string |
|
alarm
|
Specifies whether FireCloud sends an alarm for the WebBlocker exception. The default value is false. Example: true |
|
rule
|
The URL pattern, value, or expression to match. Maximum: 255 characters. Examples: www.example.com/* 1.1.1.1 (www\\.)?example\\.[com|net] Some characters used in regular expressions are reserved by JSON syntax, such as the backslash (\). To include these characters in JSON request data, escape them according to JSON encoding rules. For example, use \\ to represent a single backslash (\). |
|
action
|
Action to take for the WebBlocker exception, either allow or block. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Update a WebBlocker Exception
/v1/configuration/{accountid}/exceptions/webblocker/{objectid}
Make a request to this endpoint to update the specified WebBlocker exception with the data in the request body. When you update a WebBlocker exception, the version number increases by one.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
Unique ID that identifies the exception in your FireCloud account. The ID prefix varies by exception type. Example: bse_12345_EU03pOyqJT1m32k23H, file_12345_UqhDVIdx8D5iwivAX, or wbe_12345_G4dywojda1rjAv95J |
Request Body
When you send a request to this endpoint, you must include this information in the request body:
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
object
|
Type of exception object. Example: webblocker_exception |
|
version
|
Version number of the exception to update. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. Example: "" |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
action
|
Action to take for the WebBlocker exception, either allow or block. The allowed values are:
|
|
alarm
|
Specifies whether FireCloud sends an alarm for the WebBlocker exception. The default value is false. Example: true |
|
name
|
Name of the WebBlocker exception. Letters, numbers, spaces, and -_+.*)( characters, including non-ASCII characters. Maximum: 58 characters. Example: Allow example.com |
|
rule_type
|
The type of rule. The allowed values are:
Example: string |
|
rule
|
The URL pattern, value, or regular expression to match. Maximum: 255 characters. Examples: www.example.com/* 1.1.1.1 (www\\.)?example\\.[com|net] Some characters used in regular expressions are reserved by JSON syntax, such as the backslash (\). To include these characters in JSON request data, escape them according to JSON encoding rules. For example, use \\ to represent a single backslash (\). |
Example Request
This request updates the WebBlocker exception with an objectid of wbe_12345_HttDu2WDTmZg2xaQm6:
curl -X PUT
https://api.usa.cloud.watchguard.com/rest/firecloud/management/v1/configuration/WGC-1-123abc456/exceptions/webblocker/wbe_12345_HttDu2WDTmZg2xaQm6
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"id": "wbe_12345_HttDu2WDTmZg2xaQm6",
"object": "webblocker_exception",
"version": 1,
"account": "WGC-1-123abc456",
"created": 1579907960,
"author": "",
"device": "firewan",
"action": "allow",
"alarm": false,
"name": "Allow watchguard.com",
"rule_type": "pattern",
"rule": "www.watchguard.com/*"
}'
Example Response
The response includes the updated WebBlocker exception object in JSON format:
{
"object": "webblocker_exception",
"name": "Allow watchguard.com",
"created": 1583019217,
"device": "firewan",
"rule_type": "pattern",
"version": 2,
"alarm": false,
"account": "WGC-1-123abc456",
"id": "wbe_12345_HttDu2WDTmZg2xaQm6",
"rule": "www.watchguard.com/*",
"author": "",
"action": "allow"
}
This table lists and describes the data returned in the response:
|
object
|
Type of exception object. Example: webblocker_exception |
|
name
|
Name of the WebBlocker exception. Letters, numbers, spaces, and -_+.*)( characters, including non-ASCII characters. Maximum: 58 characters. Example: Allow example.com |
|
rule_type
|
The type of rule. The allowed values are:
Example: string |
|
alarm
|
Specifies whether FireCloud sends an alarm for the WebBlocker exception. The default value is false. Example: true |
|
rule
|
The URL pattern, value, or expression to match. Maximum: 255 characters. Examples: www.example.com/* 1.1.1.1 (www\\.)?example\\.[com|net]. Some characters used in regular expressions are reserved by JSON syntax, such as the backslash (\). To include these characters in JSON request data, escape them according to JSON encoding rules. For example, use \\ to represent a single backslash (\). |
|
action
|
Action to take for the WebBlocker exception, either allow or block. The allowed values are:
|
|
id
|
Unique ID that identifies this exception. Example: bse_12345_EU03pOyqJT1m32k23H |
|
author
|
Author of the exception. This is always empty for exceptions added or updated with the FireCloud Management API. |
|
created
|
Time that the exception was created, specified in Unix epoch time format. Example: 1579907960 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 or ACC-1234567 |
|
device
|
Device this object applies to. The allowed value is firewan. Example: firewan |
|
version
|
Version number of the exception. Example: 1 |
Delete a WebBlocker Exception
/v1/configuration/{accountid}/exceptions/webblocker/{objectid}
Make a request to this endpoint to delete the specified WebBlocker exception. When you delete a WebBlocker exception, the version number increases by one and an inactive parameter with a value of true is added to the object.
Path Parameters
[...]
